import com.j256.ormlite.dao.Dao;

import java.sql.SQLException;
import java.util.List;

public class AccountServices {


    private Dao<Account, Integer> dao;
    Console c = new Console();


    public AccountServices(Dao<Account, Integer> dao) {
        this.dao = dao;
    }


    public int create(Account account) throws Exception{
         return dao.create(account);
    }

    public List<Account> read() throws Exception{
        return dao.queryForAll();
    }

    public void readAllAccounts(List<Account> acc){
        c.header();
        for(Account a : acc ) {
            c.printFormat(a.getId(), a.getName(), a.getPassword());
        }
    }


    public int delete(Integer id) throws SQLException {
        return dao.deleteById(id);
    }

    public int updateInput(Integer in, Account account) throws Exception{
        int input = c.inputNumber("(1) Update Name"
                    + "(2) Update Password"
                    + "(3) Main Menu");

        if(input == 1) {
            c.getUserName();
        } else if(input == 2) {
            c.getUserPassword();
        }

      return dao.updateId(account, in);


    }


    public int updateAccount(Account account, Integer id) throws Exception {
        return dao.updateId(account, id);
    }
}
